summaryrefslogtreecommitdiff
path: root/media-radio/svxlink/files/svxlink.init
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /media-radio/svxlink/files/svxlink.init
reinit the tree, so we can have metadata
Diffstat (limited to 'media-radio/svxlink/files/svxlink.init')
-rw-r--r--media-radio/svxlink/files/svxlink.init42
1 files changed, 42 insertions, 0 deletions
diff --git a/media-radio/svxlink/files/svxlink.init b/media-radio/svxlink/files/svxlink.init
new file mode 100644
index 000000000000..79a43eb1141d
--- /dev/null
+++ b/media-radio/svxlink/files/svxlink.init
@@ -0,0 +1,42 @@
+#!/sbin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+PNAME=svxlink
+NAME="SvxLink Server"
+DAEMON=/usr/bin/$PNAME
+
+POPTS="--daemon \
+ ${RUNASUSER:+--runasuser=$RUNASUSER} \
+ ${PIDFILE:+--pidfile=$PIDFILE} \
+ ${LOGFILE:+--logfile=$LOGFILE} \
+ ${CFGFILE:+--config=$CFGFILE}"
+
+create_logfile()
+{
+ touch $LOGFILE
+ if [ -n "$RUNASUSER" ]; then
+ chown $RUNASUSER.$RUNASUSER $LOGFILE
+ fi
+}
+
+
+depend() {
+ need localmount
+ use net
+ after bootmisc
+}
+
+start() {
+ ebegin "Starting $NAME"
+ create_logfile
+ export $ENV
+ start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON -- $POPTS
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping $NAME"
+ start-stop-daemon --stop --pidfile $PIDFILE --exec $DAEMON
+ eend $?
+}